Package icyllis.modernui

# Class TestFragment

java.lang.Object
icyllis.modernui.fragment.Fragment
icyllis.modernui.TestFragment

All Implemented Interfaces:
  `LifecycleOwner`, `ViewModelStoreOwner`, `View.OnCreateContextMenuListener`

public class TestFragment extends Fragment
Usability test, don't use.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TestFragment.FragmentA`
  `static class`
  `TestFragment.FragmentB`
  `static class`
  `TestFragment.SpectrumGraph`
  `static class`
  `TestFragment.TestLinearLayout`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestFragment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String[] args)`
  `void`
  `onAttach(Context context)`
  Called when a fragment is first attached to its context.
  `void`
  `onCreate(DataSet savedInstanceState)`
  Called to do initial creation of a fragment.
  `View`
  `onCreateView(LayoutInflater inflater, ViewGroup container, DataSet savedInstanceState)`
  Called to have the fragment instantiate its user interface view.

  ### Methods inherited from class icyllis.modernui.fragment.Fragment

  `dump, equals, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getDefaultViewModelProviderFactory, getEnterTransition, getExitTransition, getHost, getId, getLifecycle, getParentFragment, getParentFragmentManager, getReenterTransition, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getTag, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isStateSaved, isVisible, onCreateAnimator, onCreateContextMenu, onDestroy, onDestroyView, onDetach, onHiddenChanged, onPause, onPrimaryNavigationFragmentChanged, onResume, onSaveInstanceState, onStart, onStop, onViewCreated, onViewStateRestored, postponeEnterTransition, postponeEnterTransition, registerForContextMenu, requireArguments, requireContext, requireHost, requireParentFragment, requireView, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, startPostponedEnterTransition, toString, unregisterForContextMenu`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TestFragment

    public TestFragment()

- ## Method Details

  - ### main

    public static void main(String[] args)

  - ### onAttach

    public void onAttach(@NonNull Context context)
    Description copied from class: `Fragment`
    Called when a fragment is first attached to its context. `Fragment.onCreate(DataSet)` will be called after this.
    Overrides:
      `onAttach` in class `Fragment`

  - ### onCreate

    public void onCreate(@Nullable DataSet savedInstanceState)
    Description copied from class: `Fragment`
    Called to do initial creation of a fragment. This is called after `Fragment.onAttach(Context)` and before `Fragment.onCreateView(LayoutInflater, ViewGroup, DataSet)`.

    Note that this can be called while the fragment's activity is still in the process of being created. As such, you can not rely on things like the activity's content view hierarchy being initialized at this point. If you want to do work once the activity itself is created, add a `LifecycleObserver` on the activity's Lifecycle, removing it when it receives the `Lifecycle.State.CREATED` callback.

    Any restored child fragments will be created before the base `Fragment.onCreate` method returns.

    Overrides:
      `onCreate` in class `Fragment`
    Parameters:
      `savedInstanceState` - If the fragment is being re-created from a previous saved state, this is the state.

  - ### onCreateView

    @Nullable public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable DataSet savedInstanceState)
    Description copied from class: `Fragment`
    Called to have the fragment instantiate its user interface view. This is optional, and non-graphical fragments can return null. This will be called between `Fragment.onCreate(DataSet)` and `Fragment.onViewCreated(View, DataSet)`.

    It is recommended to only inflate the layout in this method and move logic that operates on the returned View to `Fragment.onViewCreated(View, DataSet)`.

    If you return a View from here, you will later be called in `Fragment.onDestroyView()` when the view is being released.

    Overrides:
      `onCreateView` in class `Fragment`
    Parameters:
      `inflater` - The LayoutInflater object that can be used to inflate any views in the fragment
      `container` - If non-null, this is the parent view that the fragment's UI should be attached to. The fragment should not add the view itself, but this can be used to generate the LayoutParams of the view.
      `savedInstanceState` - If non-null, this fragment is being re-constructed from a previous saved state as given here.
    Returns:
      Return the View for the fragment's UI, or null.